#
# This makefile is for Open Watcom C++ on OS/2 (nmake style).
# Use nmake /f makefile.wat or wmake -ms -h -f makefile.wat
#

# ------------------
# Configure tools
# ------------------

LXLITE = e:\Archiver\LX-LITE\lxlite.exe

# ------------------
# Configure compiler
# ------------------

CWARNS         = -wx -we
CFLAGS         = $(CWARNS) -zq -zp4 -onasxh -sg -ei -6r -fp5 -bm -mf /DNDEBUG
CFLAGS_DBG     = $(CWARNS) -zq -zp4 -sg -ei -6r -fp5 -bm -mf -d2 /DDEBUG

LFLAGS         = SYSTEM os2v2_pm op q op el op stack=0x6000
LFLAGS_VIO     = SYSTEM os2v2    op q op el op stack=0x6000
LFLAGS_DBG     = SYSTEM os2v2_pm op q d all op stack=0x6000
LFLAGS_VIO_DBG = SYSTEM os2v2    op q d all op stack=0x6000

# For debugging call nmake or wmake with debug=on
# Both options can be combined as well.

!ifdef debug
CFLAGS     = $(CFLAGS_DBG)
LFLAGS     = $(LFLAGS_DBG)
LFLAGS_VIO = $(LFLAGS_VIO_DBG)
!endif

#

.SUFFIXES: .c .obj

.c.obj:
               wcc386 $(CFLAGS) $*.c

#

all:                  startpm.bin startvio.bin startpm.exe startvio.exe

#

startpm.bin:          test.obj
                      wlink $(LFLAGS) name $@ file test.obj

startvio.bin:         test.obj
                      wlink $(LFLAGS_VIO) name $@ file test.obj

startpm.exe:          starter.obj starter.res
                      wlink $(LFLAGS) name $@ file starter.obj
                      rc -n -x2 starter.res $@

startvio.exe:         starter.obj
                      wlink $(LFLAGS_VIO) name $@ file starter.obj

test.obj:             test.c

starter.obj:          starter.c

starter.res:          starter.rc starter.ico
                      rc -n -r -x2 starter.rc


# ------------------------
# Build management targets
# ------------------------

clean:
    -del /N *.obj *.o *.err *.res 2> nul

clobber:
    -del /N *.obj *.o *.exe *.bin *.err *.res 2> nul

exepack:
    $(LXLITE) /B- *.exe *.bin


